typedef struct {
              long lig_entry;
              char   nom_prot [25];
              char   source [80];
	      char acces[7];
	      char code[7];
              char seq_al[200];
	      char seq_kab[200];
              long class;       /* 0 : Heavy, 1 : Kappa Light, 2 : Lambda Light
*/
              long sgp;  /* Subgroup */
              long domain;        /* 1 : Variable, 2 : Constant */
} TYPE_ENTRY;
TYPE_ENTRY entry;

long menu_principal()

{
	long choix;
	printf("\n ################### MAIN MENU ################## \n\n");
	printf(" 	1 : Selection \n");
	printf(" 	2 : New sequence \n");
	printf(" 	3 : Listing of the selection \n");
	printf(" 	4 : End \n");
	choix = 0;
	while (choix < 1 || choix > 4) {
		printf(" Enter your choice : ");
		scanf("%d",&choix);
	}
	return(choix);
}

long menu_selection()

{
	long choix;

	printf("\n ################### SELECTION MENU ################## \n\n");
	printf(" 	1 : by name \n");
	printf(" 	2 : by source \n");
	printf(" 	3 : by authors \n");
	printf(" 	4 : by year of publication \n");
	printf(" 	5 : by isotype \n");
	printf(" 	6 : by domain  \n");
	printf(" 	7 : given residue at precise position \n");
	printf("	8 : reset selection \n");
	printf("	9 : save the selection \n");
	printf(" 	10: make the selection \n");
	printf(" 	11: quit \n");
	choix = 0;
	while (choix < 1 || choix > 11) {
		printf(" Enter your choice : ");
		scanf("%d",&choix);
	}
	return(choix);
}

long menu_calculation()

{
	long choix;

	printf("\n ################### CALCULATION MENU ################## \n\n");
	printf(" 	1 : conservation sur 1 residu \n");
	printf(" 	2 : percentage of identity \n");
	printf(" 	3 : score of homology \n");
	printf(" 	4 : quit \n");
	choix = 0;
	while (choix < 1 || choix > 4) {
			printf(" Enter your choice : ");
			scanf("%d",&choix);
	}
	return(choix);
}

long menu_newseq()

{
	long choix;

	printf("\n ################### NEW SEQUENCE MENU ################## \n\n");
	printf(" 	1 : enter a new sequence \n");
	printf(" 	2 : determination of the sub class \n");
	printf(" 	3 : kabat alignement \n");
	printf(" 	4 : alignment with proteins already in the bank\n");
        printf("        5 : quit \n");
	choix = 0;
	while (choix < 1 || choix > 5) {
		printf(" Enter your choice : ");
		scanf("%d",&choix);
	}
	return(choix);
}

long menu_print()

{
	long choix;

	printf("\n ################### PRINT MENU ################## \n\n");
	printf(" 	1 : short output of selected proteins \n");
	printf(" 	2 : full kabat output of selected proteins \n");
	printf(" 	3 : save short output \n");
	printf(" 	4 : save full  output \n");
	printf(" 	5 : sequence alignement of selected proteins \n");
	printf(" 	6 : quit \n");
	choix = 0;
	while (choix < 1 || choix > 6) {
		printf(" Enter your choice : ");
		scanf("%d",&choix);
	}
	return(choix);
}

call_selection()

{
	long choix;

	choix = menu_selection();
	while (choix < 11) {
		switch (choix) {
		case 1 :
			sel_name();
			break;
		case 2 :
			sel_source();
			break;
		case 3 :
			sel_author();
			break;
		case 4 :
			sel_year();
			break;
		case 5 :
			sel_class();
			break;
		case 6 :
			sel_dom();
			break;
		case 7 :
			sel_position();
			break;
		case 8 :
			reset_sel();
			break;
		case 10 :
			cherche_proteine();
			break;
		}
		if (choix != 10 && choix != 11) {
			print_selection();
			choix = menu_selection();
		}
		else choix = 11;
	}
}

call_calculation()
{
}

call_newseq()
{
	long choix;
	char tseq[200];
	long answer=0;
	long *class;
	long *sgpe;
	TYPE_ENTRY *entry;

	while((choix = menu_newseq()) != 5) {
                switch (choix) {
		case 1 :
			saisie_seq(tseq);
			break;
		case 2 :
			det_sgpe(tseq,&class,&sgpe);
			break;
		case 3 :
			det_sgpe(tseq,&class,&sgpe);
			align_seq(tseq,&class,&sgpe,&entry);
			break;
                case 4 :
			call_selection();
			print_align(&entry);
			break;

		}
	}
}

call_print()
{
	long choix;

	while((choix = menu_print()) != 6) {
                switch (choix) {
		case 1 :
			short_list();
			break;
		case 2 :
			full_list();
			break;
		case 3 :
			save_short();
			break;
		case 4 :
			save_full();
			break;
                case 5 :
                        print_align(&entry);
                        break;

		}
	}
}


menu_main()

{
	long choix;

	while ((choix = menu_principal()) != 4) {
		switch (choix) {
		case 1 :
			call_selection();
			break;
		case 2 :
			call_newseq();
			break;
		case 3 :
			call_print();
			break;
		}

	}
}
